import React from 'react';
import { sizeType, variantType } from '../../utils/componentPropsTypes';
export declare type statusType = 'error' | 'success';
export interface IIconButton {
    children: React.ReactNode;
    variant: variantType;
    disabled: boolean;
    activate: boolean;
    size: sizeType;
    status: statusType;
    onClick: React.MouseEventHandler<HTMLDivElement>;
}
declare const IconButton: React.FC<Partial<IIconButton>>;
export default IconButton;
