import React from 'react';
import { sizeType } from '../../utils/componentPropsTypes';
export interface IDialogProps {
    fullScreen: boolean;
    size: sizeType;
    onClose(): any;
    open: boolean;
    children: React.ReactNode;
    fullWidth: boolean;
    maxWidth: string | number;
    closeButton: boolean;
}
declare const Dialog: React.FC<Partial<IDialogProps>>;
export default Dialog;
